| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
gallery.h File Reference

## Classes

class | wxRibbonGallery
| A ribbon gallery is like a wxListBox, but for bitmaps rather than strings. More...
class | wxRibbonGalleryEvent

## Enumerations

enum | wxRibbonGalleryButtonState { wxRIBBON_GALLERY_BUTTON_NORMAL, wxRIBBON_GALLERY_BUTTON_HOVERED, wxRIBBON_GALLERY_BUTTON_ACTIVE, wxRIBBON_GALLERY_BUTTON_DISABLED }

## Variables

wxEventType | wxEVT_RIBBONGALLERY_HOVER_CHANGED
wxEventType | wxEVT_RIBBONGALLERY_SELECTED
wxEventType | wxEVT_RIBBONGALLERY_CLICKED

## Enumeration Type Documentation

enum wxRibbonGalleryButtonState

Enumerator
wxRIBBON_GALLERY_BUTTON_NORMAL |
wxRIBBON_GALLERY_BUTTON_HOVERED |
wxRIBBON_GALLERY_BUTTON_ACTIVE |
wxRIBBON_GALLERY_BUTTON_DISABLED |

## Variable Documentation

wxEventType wxEVT_RIBBONGALLERY_CLICKED

wxEventType wxEVT_RIBBONGALLERY_HOVER_CHANGED

wxEventType wxEVT_RIBBONGALLERY_SELECTED